import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';
import { SubTopicEventRouter, EventsService, EventParams } from '@backstage/plugin-events-node';

/**
 * Module for the events-backend plugin, adding an event router for Gerrit.
 *
 * Registers the `GerritEventRouter`.
 *
 * @public
 */
declare const eventsModuleGerritEventRouter: _backstage_backend_plugin_api.BackendFeature;

/**
 * Subscribes to the generic `gerrit` topic
 * and publishes the events under the more concrete sub-topic
 * depending on the `$.type` field provided.
 *
 * @public
 */
declare class GerritEventRouter extends SubTopicEventRouter {
    constructor(options: {
        events: EventsService;
    });
    protected getSubscriberId(): string;
    protected determineSubTopic(params: EventParams): string | undefined;
}

export { GerritEventRouter, eventsModuleGerritEventRouter as default };
