'use strict';

var pluginEventsNode = require('@backstage/plugin-events-node');

class GerritEventRouter extends pluginEventsNode.SubTopicEventRouter {
  constructor(options) {
    super({
      events: options.events,
      topic: "gerrit"
    });
  }
  getSubscriberId() {
    return "GerritEventRouter";
  }
  determineSubTopic(params) {
    if ("type" in params.eventPayload) {
      const payload = params.eventPayload;
      return payload.type;
    }
    return void 0;
  }
}

exports.GerritEventRouter = GerritEventRouter;
//# sourceMappingURL=GerritEventRouter.cjs.js.map
